<?php
require dirname(__FILE__) . '/../../autoload.php';

// Init du service
$service = new \SparkWebService(array('cache_wsdl' => WSDL_CACHE_NONE));

$token = 'test';

// Méthode GetClients 
// Init des paramètres

$date = new DateTime();
$dateFormat = $date->format('Ymd');
$publicKey = md5(uniqid('SparkWeb'));

$key = $token . $publicKey .  $dateFormat;
$hashkey = md5($key);

$WebClientId = "";

// Appel de la requête
$request = new \GetClients($hashkey,$publicKey, $WebClientId);

// Récupération de la réponse
$response = $service->GetClients($request);
var_dump($response);